[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomGroupBox.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 176

`public constructor TCustomGroupBox.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. It calls the inherited constructor on entry to the method. Create ensures that the component style is set to the value csGroupBox, and includes the value csAcceptsControls in the ControlStyle property. Create calls SetInitialBounds to resize the control using the values returned from GetControlClassDefaultSize.

## See also

TCustomGroupBox.GetControlClassDefaultSize |  | Returns the default dimensions for new instances of the class.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.
TControl.SetInitialBounds |  | Sets the bounds of the control initially, when it is created.